# CHANGES - Common Print Dialog Backends - File Backend - v2.0b5 - 2023-08-02

## CHANGES IN V2.0b4 (2nd August 2023)

- Remove CPDB backend info file
  The frontend libraries now use only the D-Bus to find available
  backends. This makes sure that everything works also if the frontend
  and/or any of the backends are installed via sandboxed packaging
  (like Snap for example) where the components cannot read each
  other's file systems.

- Build system: Removed unnecessary lines in `tools/Makefile.am`
  Removed the `TESTdir` and `TEST_SCRIPTS` entries in
  `tools/Makefile.am`.  They are not needed and let `make install` try
  to install `run-tests.sh` in the source directory, where it already
  is, causing an error.


## CHANGES IN V2.0b4 (20th March 2023)

- Added test script for `make test`/`make check`
  The script `rc/run-tests.sh`starts this backend and the
  `pdb-text-frontend`text mode example frontend of cpdb-libs in one
  `dbus-run-session` environment. The frontend discovers the backend
  and some test tasks are done with it, like listing options and
  printing a job.

- README.md: Updated for renaming of cpdb-libs tools.
  The test/development frontend `print_frontend` is renamed to
  `cpdb-text-frontend` now.

- Fixed buffer overflow caused in log line in the backend


## CHANGES IN V2.0b3 (20th February 2023)

- Added handler for `GetAllTranslations` method (PR #7)
  * Added handler for `GetAllTranslations` method on backends.
  * Removed handlers for `get-human-readable-option-names` and
    `get-human-readable-choice-names`.
  * Bug fixes.


## CHANGES IN V2.0b2 (13th February 2023)

- Let frontend synchronously fetch printer list upon activation (PR #5)

- Added the support of cpdb-libs for translations
  * Using general message string catalogs from CUPS and also message
    string catalogs from individual print queues/IPP printers.
  * Message catalog management done by libcupsfilters 2.x, via the
    `cfCatalog...()` API functions (`catalog.h`).

- Option group support

- Log messages handled by frontend

- Removed hardcoded paths (PR #3)

- Build system: Let "make dist" also create .tar.bz2 and .tar.xz


## CHANGES IN V2.0b1 (13th December 2022)

- Added missing handlers for D-Bus methods added in CPDB 2.x

- Adapted to renamed API functions and data types of cpdb-libs 2.x

- Updated signal names to match those emitted from CPDB frontend

- Made "make dist" generate a complete source tarball

- Updated README.md

  + On update the old version of the backend needs to get killed
  + Common Print Dialog -> Common Print Dialog Backends
  + Requires cpdb-libs 2.0.0 or newer
  + Updated instructions for running the backend.
  + Added link to Gaurav Guleria's and Nilanjana Lodh's GSoC work
  + Put mention of Ayush's GSoC work into third person.
